Bug 1750771 - Request to build python-matplotlib for EPEL 8
Summary: Request to build python-matplotlib for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-matplotlib
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1750731 1758271
TreeView+ depends on / blocked
 
Reported: 2019-09-10 13:05 UTC by adam winberg
Modified: 2020-01-30 23:29 UTC (History)
11 users (show)

Fixed In Version: python-matplotlib-3.0.3-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-30 23:29:55 UTC
Type: Bug


Attachments (Terms of Use)

Description adam winberg 2019-09-10 13:05:55 UTC
python-matplotlib is no longer provided by Red Hat in RHEL8. Can it be built for EPEL8 (preferably both python2-matplotlib and python3-matplotlib)

Comment 1 Miro Hrončok 2019-09-10 13:12:08 UTC
Will you maintain it?

Comment 2 adam winberg 2019-09-10 13:56:03 UTC
Unfortunately I'm not really suited for it, I'm requesting packages on behalf of my userbase. I was hoping that the previous maintainer could do it...

Comment 3 Miro Hrončok 2019-09-10 14:07:00 UTC
There are couple of maintainers there. Some might do it. Who is interested can assign this bug to themselves. If there is a non-maintainer who would be interested, please let me know.

Comment 4 Orion Poplawski 2019-09-11 03:24:50 UTC
As a start, we need the following deps:

DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'python3-cycler >= 0.10.0'
DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'python3-kiwisolver'
DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'python3-wxpython4'

although I suppose we could drop the wx backend for now.  First two dep issues remain though.  This also assumes dropping th qt4 backend.

Comment 5 Orion Poplawski 2019-09-18 02:46:33 UTC
I've submitted a build to epel8-playground that should be ready soon.  Please test and give feedback here.

https://koji.fedoraproject.org/koji/taskinfo?taskID=37713740

Comment 6 adam winberg 2020-01-09 14:55:11 UTC
Could the python2 package also be built?

Comment 7 Miro Hrončok 2020-01-09 15:15:01 UTC
Please don't. Python 2 is no longer supported upstream.

Comment 8 adam winberg 2020-01-10 06:42:46 UTC
Yeah I know. However python2 is still supported i RHEL 8, I have users planning to move their python2 code to RHEL8 first and then convert it to python3. But I understand that it complicates things since the python2 package hasnt been part of the build for a long time.

Comment 9 Miro Hrončok 2020-01-10 07:17:34 UTC
Also, if we add the package now, we would need to support it for a decade.

Once EPEL 8 has working modules (or does it already?) somebody can add a module with additional Python 2 packages and EOL it together with the RHEL 8 Python 2 module. But we shall not add Python 2 subpackages to existing Python packages.

Comment 10 Orion Poplawski 2020-01-12 00:27:15 UTC
I certainly have no interest in building matplotlib for python2.  But thanks for the reminder on trying to get this pushed out...

Comment 11 Fedora Update System 2020-01-13 02:48:30 UTC
python-matplotlib-3.0.3-3.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4fe10de7d0

Comment 12 Fedora Update System 2020-01-30 23:29:55 UTC
python-matplotlib-3.0.3-3.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.